Bug 1289168 - RFE: add option to clear logs before build attempt
RFE: add option to clear logs before build attempt
Status: NEW
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2015-12-07 10:08 EST by Marcin Juszkiewicz
Modified: 2017-12-11 10:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marcin Juszkiewicz 2015-12-07 10:08:35 EST
Description of problem:

mockchain can be used in recursive mode. Can also be started again and again against one local repo.

But logs grow and grow which makes parsing them a bit more complicated (root.log may contain lines with missing build dependencies from first 2 runs and get built on 3rd one.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. run mockchain few times 

Actual results:

logs are appended

Expected results:

An option to clear logs before each build.

Additional info:
Comment 1 Mikolaj Izdebski 2015-12-08 18:16:28 EST
+1 from me. Currently I use a wrapper script which tries to clean logs before calling mock, but it would be better if mock could do it by itself.

Note You need to log in before you can comment on or make changes to this bug.